# Uses of Enum Class
net.shibboleth.idp.cli.DataSealerArguments.OperationType

Packages that use DataSealerArguments.OperationType
Package
Description
net.shibboleth.idp.cli
Command line drivers and utilities.

## Uses of DataSealerArguments.OperationType in net.shibboleth.idp.cli

Fields in net.shibboleth.idp.cli declared as DataSealerArguments.OperationType
Modifier and Type
Field
Description
`private DataSealerArguments.OperationType`
DataSealerArguments.`operation`
Requested operation.
Methods in net.shibboleth.idp.cli that return DataSealerArguments.OperationType
Modifier and Type
Method
Description
`DataSealerArguments.OperationType`
DataSealerArguments.`getOperation()`
Get operation to perform.
`static DataSealerArguments.OperationType`
DataSealerArguments.OperationType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DataSealerArguments.OperationType[]`
DataSealerArguments.OperationType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.